Agent Insight Monitors
createRun
Start an Agent Insights run for a monitor.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Operation-Id
string
Client-generated unique ID for idempotent retries. When absent, the server creates the job unconditionally.
Paramètres de chemin d’accès
monitor_id
string
obligatoire
The identifier of the monitor.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Corps de la demande
Run inputs. Send an empty object to use the default 168-hour lookback window.
lookback_hours
number
Optional finite positive number of hours of trace history to analyze, up to 2,160. Defaults to 168.
Réponses
The request has succeeded and a new resource has been created as a result.
En-têtes
Operation-Location
string
obligatoire
URL to poll for the job status.
Location
string
obligatoire
URL of the created job resource.
Corps
id
string
obligatoire
Server-assigned unique identifier.
inputs
AgentInsightRunCreate
Inputs used when creating an agent insight run.
lookback_hours
number
Optional finite positive number of hours of trace history to analyze, up to 2,160. Defaults to 168.
result
AgentInsightRunResult
Result statistics produced when an agent insight run succeeds.
traces_in_window
integer
obligatoire
The number of traces in the analyzed time window.
traces_analyzed
integer
obligatoire
The number of traces analyzed by the run.
insights_created
integer
obligatoire
The number of insights created by the run.
insights_updated
integer
obligatoire
The number of insights updated by the run.
insights_reopened
integer
obligatoire
The number of insights reopened by the run.
token_usage
AgentInsightTokenUsage
obligatoire
Token usage for an Agent Insights run.
input_tokens
integer
obligatoire
The number of input tokens used by the run.
output_tokens
integer
obligatoire
The number of output tokens used by the run.
cached_tokens
integer
The number of input tokens served from cache.
total_tokens
integer
obligatoire
The total number of tokens used by the run.
status
string | enum
obligatoire
Extensible status values shared by Foundry jobs.
enum
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
obligatoire
The public continuation instruction.
details
OpenAI.Error[]
Additional errors that contributed to this failure.
additionalInfo
object
Additional structured information about the failure.
debugInfo
object
Diagnostic information supplied by the service for troubleshooting.
monitor_id
string
obligatoire
The Agent Insights monitor this run belongs to.
agent_name
string
obligatoire
The agent whose traces are analyzed by this run.
trigger
string | enum
obligatoire
The trigger that started an agent insight run.
enum
model_deployment_name
string
obligatoire
The model deployment used to analyze traces for this run.
Requête
POST /agent_insight_monitors/{monitor_id}/runs HTTP/1.1
Response
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json